Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.operation
Interface ConcatenatedOperation

All Superinterfaces:
  CoordinateOperation, IdentifiedObject

    @UML(identifier="CC_ConcatenatedOperation",
         specification=ISO_19111)
    public interface ConcatenatedOperation

extends CoordinateOperation

An ordered sequence of two or more single coordinate operations. The sequence of operations is constrained by the requirement that the source coordinate reference system of step (n+1) must be the same as the target coordinate reference system of step (n). The source coordinate reference system of the first step and the target coordinate reference system of the last step are the source and target coordinate reference system associated with the concatenated operation. Instead of a forward operation, an inverse operation may be used for one or more of the operation steps mentioned above, if the inverse operation is uniquely defined by the forward operation.

Since:
  GeoAPI 1.0
Version:
  Abstract specification 2.0

Field Summary

Fields inherited from interface CoordinateOperation
`COORDINATE_OPERATION_ACCURACY_KEY, DOMAIN_OF_VALIDITY_KEY, OPERATION_VERSION_KEY, POSITIONAL_ACCURACY_KEY, SCOPE_KEY, VALID_AREA_KEY`

Fields inherited from interface IdentifiedObject
`ALIAS_KEY, IDENTIFIERS_KEY, NAME_KEY, REMARKS_KEY`

Method Summary
`List<SingleOperation>` | `getOperations()` Returns the sequence of operations.

Methods inherited from interface CoordinateOperation
`getCoordinateOperationAccuracy, getDomainOfValidity, getMathTransform, getOperationVersion, getPositionalAccuracy, getScope, getSourceCRS, getTargetCRS, getValidArea`

Methods inherited from interface IdentifiedObject
`getAlias, getIdentifiers, getName, getRemarks, toWKT`

Method Detail

### getOperations

    @UML(identifier="usesOperation",
         obligation=MANDATORY,
         specification=ISO_19111)
    List<SingleOperation> getOperations()

  Returns the sequence of operations.

  Returns:
    The sequence of operations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.